Subject: Re: [PATCH 0/4] Fix file locking with retry and timeout on Windows

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jun 2015 12:57:13 -0700

Johannes Sixt <[email-masked]> writes:

> The remaining 3 patches replace the select() invocation that waits
> for a short time period by the version with poll() that we already
> use in help.c. This is necessary because a select() call where all
> three sets of file descriptors are empty is not supported on Windows.

Thanks.

The use of both select() and poll() in our code has been bugging me
for a long time (but wasn't irritating enough to make me do anything
about it).

>
> Johannes Sixt (4):
>   lockfile: replace random() by rand()
>   help.c: wrap wait-only poll() invocation in sleep_millisec()
>   lockfile: convert retry timeout computations to millisecond
>   lockfile: wait using sleep_millisec() instead of select()
>
>  cache.h    |  1 +
>  help.c     |  2 +-
>  lockfile.c | 31 +++++++++----------------------
>  wrapper.c  |  5 +++++
>  4 files changed, 16 insertions(+), 23 deletions(-)